#
# spec file for package postfix (Version 20010228pl08)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  -sendmail cyrus-sasl cyrus-sasl-devel db-devel openldap2 openldap2-client openldap2-devel openssl openssl-devel pcre
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib cyrus-sasl-devel db-devel gcc gdbm gettext libtool libz openldap2 openldap2-client openldap2-devel openssl openssl-devel pam pcre perl rpm

Name:         postfix
Copyright:    International Business Machines Corporation and others. All Rights Reserved.
Group:        Networking/Daemons
Provides:     postfix smtp_daemon
Requires:     procmail
Conflicts:    sendmail smail
Autoreqprov:  on
Summary:      A fast, secure and flexible mailer
%define       plevel pl08
%define       sversion 20010228
Version:      20010228pl08
Release:      22
Source:       postfix-%{sversion}-%{plevel}.tar.gz
Source1:      pfixtls-0.7.13-%{sversion}-%{plevel}-0.9.6b.tar.gz
Patch:        postfix-%{sversion}-%{plevel}.dif
Patch1:       a_p_dos_fix.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
# ---------------------------------------------------------------------------
%prep
%setup -n postfix-%{sversion}-%{plevel} -a 1
%patch
%patch1
# ---------------------------------------------------------------------------

%build
%define PFIXVERS "0.7.13"
patch -s -p 1 < pfixtls-%{PFIXVERS}-%{sversion}-%{plevel}-0.9.6b/pfixtls.diff
make makefiles DEBUG=""  \
	CCARGS="\
%ifarch s390 ppc
-fsigned-char \
%endif
-DHAS_LDAP -DHAS_PCRE -DUSE_SASL_AUTH -DHAS_SSL" \
	AUXLIBS="-lldap -llber -lpcre -lsasl -lssl -lcrypto"
make
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir pfixtls
cd pfixtls-%{PFIXVERS}-%{sversion}-%{plevel}-0.9.6b
cp -a doc contributed ACKNOWLEDGEMENTS CHANGES INSTALL README TODO \
	../pfixtls
cd -
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
mkdir -p $RPM_BUILD_ROOT/etc/permissions.d
mkdir -p $RPM_BUILD_ROOT/etc/postfix
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/lib
for i in 1 5 8; do
	mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man$i
done
install -g root -m 755 -o root rc.postfix $RPM_BUILD_ROOT/etc/init.d/postfix
install -m 755 -d $RPM_BUILD_ROOT/etc/postfix
mkdir -p $RPM_BUILD_ROOT/etc/permissions.d
install -m 755 permissions $RPM_BUILD_ROOT/etc/permissions.d/postfix
cp -a conf/* $RPM_BUILD_ROOT/etc/postfix
rm -f $RPM_BUILD_ROOT/etc/postfix/*.orig
mv $RPM_BUILD_ROOT/etc/postfix/master.cf.SuSE $RPM_BUILD_ROOT/etc/postfix/master.cf
chmod 644 $RPM_BUILD_ROOT/etc/postfix/*
chmod 755 $RPM_BUILD_ROOT/etc/postfix/postfix-script*
cp -f $RPM_BUILD_ROOT/etc/postfix/postfix-script-sgid $RPM_BUILD_ROOT/etc/postfix/postfix-script
install -m 755 -d $RPM_BUILD_ROOT/var/spool/postfix
install -g root -m 755 -o root rc.postfix $RPM_BUILD_ROOT/etc/init.d/postfix
ln -sf ../etc/init.d/postfix $RPM_BUILD_ROOT/sbin/rcpostfix
install -m 755 bin/sendmail $RPM_BUILD_ROOT/usr/sbin/sendmail
ln -sf ../sbin/sendmail $RPM_BUILD_ROOT/usr/bin/mailq
ln -sf ../sbin/sendmail $RPM_BUILD_ROOT/usr/bin/newaliases
ln -sf ../sbin/sendmail $RPM_BUILD_ROOT/usr/lib/sendmail
install -m 755 bin/postmap $RPM_BUILD_ROOT/usr/sbin/postmap
install -m 755 bin/postfix $RPM_BUILD_ROOT/usr/sbin/postfix
install -m 755 bin/postconf $RPM_BUILD_ROOT/usr/sbin/postconf
install -m 755 bin/postcat $RPM_BUILD_ROOT/usr/sbin/postcat
install -m 755 bin/postdrop $RPM_BUILD_ROOT/usr/sbin/postdrop
install -m 755 bin/postlock $RPM_BUILD_ROOT/usr/sbin/postlock
install -m 755 bin/postlog $RPM_BUILD_ROOT/usr/sbin/postlog
install -m 755 bin/postkick $RPM_BUILD_ROOT/usr/sbin/postkick
install -m 755 bin/postalias $RPM_BUILD_ROOT/usr/sbin/postalias
install -m 755 bin/postsuper $RPM_BUILD_ROOT/usr/sbin/postsuper
install -m 755 bin/smtp-source $RPM_BUILD_ROOT/usr/sbin/smtp-source
install -m 755 bin/smtp-sink $RPM_BUILD_ROOT/usr/sbin/smtp-sink
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/postfix
install -m 755 libexec/master $RPM_BUILD_ROOT/usr/lib/postfix/master
install -m 755 libexec/pickup $RPM_BUILD_ROOT/usr/lib/postfix/pickup
install -m 755 libexec/cleanup $RPM_BUILD_ROOT/usr/lib/postfix/cleanup
install -m 755 libexec/smtpd $RPM_BUILD_ROOT/usr/lib/postfix/smtpd
install -m 755 libexec/local $RPM_BUILD_ROOT/usr/lib/postfix/local
install -m 755 libexec/trivial-rewrite $RPM_BUILD_ROOT/usr/lib/postfix/trivial-rewrite
install -m 755 libexec/qmgr $RPM_BUILD_ROOT/usr/lib/postfix/qmgr
#install -m 755 libexec/nqmgr $RPM_BUILD_ROOT/usr/lib/postfix/nqmgr
install -m 755 libexec/smtp $RPM_BUILD_ROOT/usr/lib/postfix/smtp
install -m 755 libexec/bounce $RPM_BUILD_ROOT/usr/lib/postfix/bounce
install -m 755 libexec/error $RPM_BUILD_ROOT/usr/lib/postfix/error
install -m 755 libexec/pipe $RPM_BUILD_ROOT/usr/lib/postfix/pipe
install -m 755 libexec/showq $RPM_BUILD_ROOT/usr/lib/postfix/showq
install -m 755 libexec/lmtp $RPM_BUILD_ROOT/usr/lib/postfix/lmtp
install -m 755 libexec/tlsmgr $RPM_BUILD_ROOT/usr/lib/postfix/tlsmgr
install -m 755 libexec/spawn $RPM_BUILD_ROOT/usr/lib/postfix/spawn
install -m 755 libexec/flush $RPM_BUILD_ROOT/usr/lib/postfix/flush
cd man
for i in man*/*; do
	install -m 644 $i $RPM_BUILD_ROOT/%{_mandir}/$i
done
cd -
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 rc.config.postfix $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.postfix
install -m 644 rc.config.d.postfix $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.d.postfix
install -m 755 SuSEconfig.postfix $RPM_BUILD_ROOT/sbin/conf.d/SuSEconfig.postfix
install -m 644 aliases $RPM_BUILD_ROOT/etc/aliases
rm -rf $RPM_BUILD_ROOT/var/spool/postfix/*
mkdir $RPM_BUILD_ROOT/var/spool/postfix/maildrop
chown postfix.root $RPM_BUILD_ROOT/var/spool/postfix/maildrop
chmod 1733 $RPM_BUILD_ROOT/var/spool/postfix/maildrop
mkdir $RPM_BUILD_ROOT/var/spool/postfix/public
chown postfix.root $RPM_BUILD_ROOT/var/spool/postfix/public
chmod 755 $RPM_BUILD_ROOT/var/spool/postfix/public

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  if ! [ -d etc/rc.config.d ] ; then
     mkdir -p etc/rc.config.d
  fi
  if ! [ -f etc/rc.config.d/postfix.rc.config ] ; then
     bin/fillup -q -r -i etc/rc.config \
            var/adm/fillup-templates/rc.config.d.postfix \
            etc/rc.config.d/postfix.rc.config
     mv etc/rc.config.new etc/rc.config
  else
     bin/fillup -q etc/rc.config.d/postfix.rc.config \
            var/adm/fillup-templates/rc.config.d.postfix
  fi
  bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.postfix
  echo "Done."
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.postfix and"
  echo "update by hand."
fi
if [ -z "`grep "^postfix:" etc/passwd`" ]; then
   if [ -x usr/sbin/useradd ] ; then
      chroot . groupadd postfix > /dev/null 2>&1
      chroot . useradd -s /bin/false -g postfix -d /var/spool/postfix postfix > /dev/null 2>&1
   else
      echo "Can't exec useradd. Please remember to create a user account"
      echo "with: groupadd postfix"
      echo "      useradd -s /bin/false -g postfix -d /var/spool/postfix postfix"
   fi
fi
sbin/insserv etc/init.d/postfix

%postun
sbin/insserv etc/init.d/

%files
/var/adm/fillup-templates/rc.config.postfix
/var/adm/fillup-templates/rc.config.d.postfix
%config /sbin/conf.d/SuSEconfig.postfix
%config(noreplace) /etc/postfix/access
%config(noreplace) /etc/postfix/canonical
%config(noreplace) /etc/postfix/main.cf
%config(noreplace) /etc/postfix/master.cf
%config(noreplace) /etc/postfix/relocated
%config(noreplace) /etc/postfix/transport
%config(noreplace) /etc/postfix/virtual
%config(noreplace) /etc/aliases
%config /etc/permissions.d/postfix
/etc/postfix/sample-aliases.cf
/etc/postfix/sample-auth.cf
/etc/postfix/sample-canonical.cf
/etc/postfix/sample-compatibility.cf
/etc/postfix/sample-debug.cf
/etc/postfix/sample-filter.cf
/etc/postfix/sample-flush.cf
/etc/postfix/sample-ldap.cf
/etc/postfix/sample-lmtp.cf
/etc/postfix/sample-local.cf
/etc/postfix/sample-misc.cf
/etc/postfix/sample-pcre.cf
/etc/postfix/sample-rate.cf
/etc/postfix/sample-regexp.cf
/etc/postfix/sample-relocated.cf
/etc/postfix/sample-resource.cf
/etc/postfix/sample-rewrite.cf
/etc/postfix/sample-smtp.cf
/etc/postfix/sample-smtpd.cf
/etc/postfix/sample-tls.cf
/etc/postfix/sample-transport.cf
/etc/postfix/sample-virtual.cf
/etc/postfix/regexp_table
/etc/postfix/pcre_table
/etc/postfix/postfix-script-sgid
/etc/postfix/postfix-script-nosgid
/etc/postfix/postfix-script
%config /etc/init.d/postfix
/usr/bin/mailq
/usr/bin/newaliases
/usr/sbin/sendmail
/usr/sbin/postmap
/usr/sbin/postfix
/usr/sbin/postconf
/usr/sbin/postcat
%attr(2755, root, maildrop) /usr/sbin/postdrop
%dir %attr(0755, postfix, root) /var/spool/postfix/public
/usr/sbin/postlock
/usr/sbin/postlog
/usr/sbin/postkick
/usr/sbin/postalias
/usr/sbin/postsuper
/usr/sbin/smtp-source
/usr/sbin/smtp-sink
/sbin/rcpostfix
/usr/lib/postfix
/usr/lib/sendmail
%dir %attr(0755, root, postfix) /var/spool/postfix
%dir %attr(1730, postfix, maildrop) /var/spool/postfix/maildrop
%doc 0README COMPATIBILITY DB_README DEBUG_README ETRN_README FILTER_README HISTORY INSTALL LDAP_README LICENSE LINUX_README LMTP_README MACOSX_README MYSQL_README PCRE_README PORTING RELEASE_NOTES RESTRICTION_CLASS SASL_README TODO ULTRIX_README UUCP_README
%doc examples
%doc html
%doc pfixtls
%doc %{_mandir}/man1/mailq.1.gz
%doc %{_mandir}/man1/newaliases.1.gz
%doc %{_mandir}/man1/postalias.1.gz
%doc %{_mandir}/man1/postcat.1.gz
%doc %{_mandir}/man1/postconf.1.gz
%doc %{_mandir}/man1/postdrop.1.gz
%doc %{_mandir}/man1/postfix.1.gz
%doc %{_mandir}/man1/postkick.1.gz
%doc %{_mandir}/man1/postlock.1.gz
%doc %{_mandir}/man1/postlog.1.gz
%doc %{_mandir}/man1/postmap.1.gz
%doc %{_mandir}/man1/postsuper.1.gz
%doc %{_mandir}/man1/sendmail.1.gz
%doc %{_mandir}/man5/access.5.gz
%doc %{_mandir}/man5/aliases.5.gz
%doc %{_mandir}/man5/canonical.5.gz
%doc %{_mandir}/man5/pcre_table.5.gz
%doc %{_mandir}/man5/regexp_table.5.gz
%doc %{_mandir}/man5/relocated.5.gz
%doc %{_mandir}/man5/transport.5.gz
%doc %{_mandir}/man5/virtual.5.gz
%doc %{_mandir}/man8/bounce.8.gz
%doc %{_mandir}/man8/cleanup.8.gz
%doc %{_mandir}/man8/defer.8.gz
%doc %{_mandir}/man8/error.8.gz
%doc %{_mandir}/man8/flush.8.gz
%doc %{_mandir}/man8/lmtp.8.gz
%doc %{_mandir}/man8/local.8.gz
%doc %{_mandir}/man8/master.8.gz
#%doc %{_mandir}/man8/nqmgr.8.gz
%doc %{_mandir}/man8/pickup.8.gz
%doc %{_mandir}/man8/pipe.8.gz
%doc %{_mandir}/man8/qmgr.8.gz
%doc %{_mandir}/man8/showq.8.gz
%doc %{_mandir}/man8/smtp.8.gz
%doc %{_mandir}/man8/smtpd.8.gz
%doc %{_mandir}/man8/spawn.8.gz
%doc %{_mandir}/man8/tlsmgr.8.gz
%doc %{_mandir}/man8/trivial-rewrite.8.gz
#%doc %{_mandir}/man8/virtual.8.gz

%description
Postfix aims to be an alternative to the widely-used sendmail program

Authors:
--------
    Wietse Venema <wietse@porcupine.org>

SuSE series: n


%changelog -n postfix
* Tue Jul 29 2003 - choeger@suse.de
- added patch for the "Postfix address parser DoS" bug
* Wed Dec 12 2001 - choeger@suse.de
- update to version 20010228-pl08
- Bugfixes to SuSEconfig.postfix:
  . robustness
  . do not chown -R postfix etc, lib and usr in chroot jail
  . query for package cyrus-sasl instead of sasl
* Fri Nov 16 2001 - choeger@suse.de
- Bugfix for a memory exhaustion bug in smtpd
  see http://groups.yahoo.com/group/postfix-users/message/46597
* Thu Nov 08 2001 - choeger@suse.de
- fix some SuSEconfig.postfix bugs:
  . master.cf chroot column can also contain '-'
  . don't do anything if POSTFIX_CREATECF != yes
* Fri Sep 28 2001 - choeger@suse.de
- created putonftp file
* Wed Sep 26 2001 - choeger@suse.de
- ALWAYS create master.cf, even is POSTFIX_CREATECF is set
  to no, because else chroot mode may not work, Bugzilla ID#11359
* Thu Sep 13 2001 - choeger@suse.de
- removed an obsolete echo in start section of init-script
* Thu Sep 06 2001 - choeger@suse.de
- Bugfix in init-script: redirect output of postfix start
  to dev/null and do not use startproc to start postfix
* Tue Sep 04 2001 - choeger@suse.de
- update to tls-extensions v0.7.9
  see http://groups.yahoo.com/group/postfix-users/message/41094
  for details
* Fri Aug 31 2001 - choeger@suse.de
- update of tls-extensions to 0.7.8
- update of postfix to pl04
- Bugfix: - check if postfix spool is set up before starting postfix
- start postfix with postfix start, because postfix-script
  wouldn't be executed, else.
* Tue Jul 10 2001 - choeger@suse.de
- update of tls-extensions to 0.7.3
* Thu Jun 28 2001 - choeger@suse.de
- bugfix: remove libs from chroot jail, that are no longer
  valid, Bugzilla ID#9133
- bugfix: init script was not LSB compliant, Bugzilla ID#9063
* Fri Jun 15 2001 - choeger@suse.de
- added cyrus to require start in init-script
- "bugfix": bootstrap problem cyrus-imapd <-> postfix:
  cyrus-imapd must run before postfix, but fails to create
  lmtp socket, because /var/spool/postfix/public directory
  isn't present. FIX: add it to filelist
* Wed Jun 13 2001 - choeger@suse.de
- install postrop with special SGID modes
* Tue Jun 12 2001 - choeger@suse.de
- improved SuSEconfig.postfix
- better main.cf handling
- new feature: chroot or not chroot
* Mon May 28 2001 - choeger@suse.de
- major bugfix: memory leak in the LDAP client module
- minor bugfixes
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Wed May 02 2001 - choeger@suse.de
- updated to pl02, bugfixrelease
* Mon Apr 30 2001 - choeger@suse.de
- Bugfix for SuSEconfig.postfix:
  Handling of TIMEZONE variable if set to unappropriate or no
  value
- Improvement: Warnings are printed out in bold
* Tue Apr 17 2001 - kukuk@suse.de
- Don't use a RPM macro for version number
* Fri Mar 30 2001 - choeger@suse.de
- update to pl01, bugfixrelease
* Tue Mar 27 2001 - choeger@suse.de
- added libcrack to chroot jail, because
  it is needed by pam_pwcheck
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Mon Mar 05 2001 - choeger@suse.de
- first non-beta of the next postfix generation
- v20010228
* Tue Feb 27 2001 - ro@suse.de
- added cyrus-sasl-devel to neededforbuild
* Tue Feb 27 2001 - choeger@suse.de
- new version, 20010225
- removed notification message
* Tue Feb 20 2001 - choeger@suse.de
- bugfix: wrong permissions for maildrop directory
* Wed Jan 31 2001 - choeger@suse.de
- update to version 20010128
- now linked against ldaplib2
* Fri Jan 05 2001 - choeger@suse.de
- bugfix: maildrop must be owned by postfix.root
* Mon Dec 18 2000 - choeger@suse.de
- update to version 20001212
- bugfix: insserv
- bugfix: missed openssl in neededforbuilt
- renamed to postfix, because a non-crypto version
  is no longer needed
* Wed Dec 13 2000 - choeger@suse.de
- Bugfix: postfix-script was not executable
* Tue Dec 12 2000 - choeger@suse.de
- Bugfixes:
  Provides in initscript
  Use /bin/bash in SuSEconfig.postfix
- Update to version 20001210
* Thu Nov 30 2000 - ro@suse.de
- startscript sbin -> etc
* Thu Nov 23 2000 - choeger@suse.de
- new version
- fix for neededforbuild
- fix for master.cf
* Wed Nov 22 2000 - choeger@suse.de
- adopted to new init scheme
* Wed Nov 15 2000 - choeger@suse.de
- fixed neededforbuild
* Tue Nov 14 2000 - choeger@suse.de
- update to version 20001030
* Thu Nov 09 2000 - choeger@suse.de
- long packagename
- added rpm buildroot
* Wed Nov 08 2000 - uli@suse.de
- fixed neededforbuild
* Fri Nov 03 2000 - bk@suse.de
- src/util/dict_ldap.c:dict_ldap_lookup(): fix missing **-termination.
* Tue Oct 24 2000 - fober@suse.de
- s390,ppc: added -fsigned-char compiler option, to fix obscure segfaults.
  (code is not signed/unsigned-char-clean)
* Thu Oct 12 2000 - choeger@suse.de
- yet another SuSEconfig.postfix bug (incorrect link)
* Wed Oct 11 2000 - choeger@suse.de
- bugfix for SuSEconfig.postfix
* Mon Oct 09 2000 - choeger@suse.de
- bugfix: missed to install new flush service
* Mon Oct 09 2000 - choeger@suse.de
- inititial revision of pfixtls
